// @flow
/**
 * Copyright (c) 2017-present, Evosphere.
 * All rights reserved.
 */

/**
 * Find a value in the object and returns it
 * @param obj
 * @param callback
 * @returns {*}
 */
function objectFind(obj: Object, callback: (value: mixed) => boolean){
  let value, key;
  const keys = Object.keys(obj);

  for(let i = 0; i < keys.length; i++){
    key = keys[i];
    // $FlowFixMe
    if(callback(obj[key], key)){
      value = obj[key];
      break;
    }
  }

  return value;
}

module.exports = objectFind;